<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */


	session_start();

	// PHP-Includes
	include_once("../../conf/config.inc.php");
	include_once("../../conf/db.inc.php");
	include_once("../global_off.inc.php");
	include_once(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
    include_once(DATEIPFAD . "includes/language/langu_admin_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . "includes/functions.artikel.inc.php");
	include_once(DATEIPFAD . "includes/functions.varianten.inc.php");
	include_once(DATEIPFAD . "includes/functions.lager.inc.php");
	if(RECHNUNGSWESEN) {
		include_once(DATEIPFAD . "includes/functions.mod.bestellungen.inc.php");
	} else {
		include_once(DATEIPFAD . "includes/functions.bestellungen.inc.php");
	}
	include_once(DATEIPFAD . "includes/functions.global.inc.php");

	// ID des Artikels ermitteln
	if ($_POST["artikelid"]) { $ArtikelID = $_POST["artikelid"]; };
	if ($_GET["artikelid"]) { $ArtikelID = $_GET["artikelid"]; };

	// ID der Bestellung ermitteln
	if ($_POST["bestellid"]) { $BestellID = $_POST["bestellid"]; };
	if ($_GET["bestellid"]) { $BestellID = $_GET["bestellid"]; };

	// Formaction
	if ($_POST["formaction"]) { $FormAction = $_POST["formaction"]; };
	if ($_GET["formaction"]) { $FormAction = $_GET["formaction"]; };

	// Einstellungen f�r die �bersicht
	if ($_POST["searchfield"]) { $SearchField = $_POST["searchfield"]; };
	if ($_GET["searchfield"]) { $SearchField = $_GET["searchfield"]; };
	if ($_POST["searchstring"]) { $SearchString = $_POST["searchstring"]; };
	if ($_GET["searchstring"]) { $SearchString= $_GET["searchstring"]; };
	if ($_POST["dataoffset"]) { $DataOffset = $_POST["dataoffset"]; };
	if ($_GET["dataoffset"]) { $DataOffset = $_GET["dataoffset"]; };
	if ($_POST["datacount"]) { $DataCount = $_POST["datacount"]; };
	if ($_GET["datacount"]) { $DataCount = $_GET["datacount"]; };
	if ($_POST["sortfield"]) { $SortField = $_POST["sortfield"]; };
	if ($_GET["sortfield"]) { $SortField = $_GET["sortfield"]; };
	if ($_POST["sortorder"]) { $SortOrder = $_POST["sortorder"]; };
	if ($_GET["sortorder"]) { $SortOrder = $_GET["sortorder"]; };
	
	// Bestellung einlesen
	$BestellObject = GetBestellenDetail($BestellID);
	$tpl_auftragsnummer = $BestellObject->auftragsnummer;
	$tpl_kundenemail = $BestellObject->email;
	$tpl_session = $BestellObject->session;

	// Artikel einlesen
	$ArtikelObject = GetArtikelDetail($ArtikelID, $tpl_kundenemail);

	// Shopeinstellungen einlesen
	$ShopeinstellungenObject = GetShopeinstellungDetail();

	// MwSt einlesen
	$MwStObject = GetMwStDetail($ArtikelObject->mwst);

	// ********************************************************************************
	// ** Artikel hinzufuegen
	// ********************************************************************************
	if ($FormAction == "hinzufuegen") {
		
		// Daten auf Richtigkeit �berpr�fen
		if ((!is_numeric($_POST["preis"])) || (!is_numeric($_POST["menge"]))) {

			$FormError = true;
			$FormErrorMessage = $a_ar_msg_pflichtfelder;
			
		}
		
		// wenn es bei der Eingabe kein Fehler gab, den Artikel der Bestellung hinzuf�gen
		if (!$FormError) {
		
			// Preis berechnen
			if ($ShopeinstellungenObject->preisformat == 1) {
				$PreisBrutto = round(($_POST["preis"] / 100) * ($MwStObject->mwst + 100), 2);
				$PreisNetto = round($_POST["preis"], 2);
			} else {
				$PreisBrutto = round($_POST["preis"], 2);
				$PreisNetto = round(($_POST["preis"] / (100 + $MwStObject->mwst)) * 100, 2);
			}

            if ($_POST["show_beschreibung"]) {
                $ArtikelBeschreibung = $_POST['beschreibung'];
            } else {
                $ArtikelBeschreibung = '';
            }
			
            // Warenkorb erg�nzen
			$WarenkorbID = AddWarenkorb($ArtikelID, $_POST["menge"], $_POST["variante1"], $_POST["variante2"], $_POST["variante3"], $_POST["variante4"], $tpl_kundenemail, $tpl_session, $PreisNetto, $PreisBrutto, $BestellObject->language_id, VERWEIS_QUELLE_ADMIN, 0, $_POST['artikel_name'], '', $ArtikelBeschreibung);

			// Bestellung updaten
			UpdateBestellung($BestellID, "", "", $BestellObject->language_id);
						
			// Umleitung auf die Bestell�bersicht
			header("Location: " . URLPFAD . "admin/bestellungen/bestellung_bearbeiten.php?bestellid=" . $BestellID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit; 
			
		}
		
	}

	// ********************************************************************************
	// ** Daten f�r die Ausgabe aufbereiten	
	// ********************************************************************************
	
	// POST
	if ($_POST["source"] == "post") {
	
		// Preis
		if ($ShopeinstellungenObject->preisformat == 1) {
			$tpl_preis_brutto = round(($_POST["preis"] / 100) * ($MwStObject->mwst + 100), 2);
			$tpl_preis_netto = round($_POST["preis"], 2);
		} else {
			$tpl_preis_brutto = round($_POST["preis"], 2);
			$tpl_preis_netto = round(($_POST["preis"] / (100 + $MwStObject->mwst)) * 100, 2);
		}

        $tpl_artikel_name = $_POST["artikel_name"];
        $tpl_beschreibung = $_POST["beschreibung"];
		$tpl_menge = $_POST["menge"];
		$tpl_variante1 = $_POST["variante1"];
		$tpl_variante2 = $_POST["variante2"];
		$tpl_variante3 = $_POST["variante3"];
		$tpl_variante4 = $_POST["variante4"];

		// Hidden-Fields
		$tpl_preisformat = $ShopeinstellungenObject->preisformat;
		
	// Datenbank
	} else {
		
        $tpl_artikel_name = $ArtikelObject->artikel_name;
        $tpl_beschreibung = $ArtikelObject->beschreibung;
	    $tpl_preis_netto = $ArtikelObject->preis_netto;
		$tpl_preis_brutto = $ArtikelObject->preis_brutto;
		$tpl_menge = 1;
		$tpl_variante1 = $ArtikelObject->variante1;
		$tpl_variante2 = $ArtikelObject->variante2;
		$tpl_variante3 = $ArtikelObject->variante3;
		$tpl_variante4 = $ArtikelObject->variante4;

		// Hidden-Fields
		$tpl_preisformat = $ShopeinstellungenObject->preisformat;		

	}

	// Grunddaten
	$tpl_artikelnummer = $ArtikelObject->artikel_nr;
	$tpl_name = $ArtikelObject->artikel_name;
	
	// Preis
	if ($ShopeinstellungenObject->preisformat == 1) {
		$PreisNettoString = "<input class=\"forminput_text\" type=\"text\" name=\"preis\" value=\"" . $tpl_preis_netto . "\" size=\"35\">";
		$PreisBruttoString = $tpl_preis_brutto;
	} else {
		$PreisNettoString = $tpl_preis_netto;
		$PreisBruttoString = "<input class=\"forminput_text\" type=\"text\" name=\"preis\" value=\"" . $tpl_preis_brutto . "\" size=\"35\">";
	}

	// Auswahlliste "Varianten"
	$VariantenDataArray = GetVariantenDataArray();

	for ($VariantenAuswahlCounter = 1; $VariantenAuswahlCounter < 5; $VariantenAuswahlCounter++) {

		if ($ArtikelObject->merkmalkombinationparentid) {
	
 			if ($ArtikelObject->{"variante" . $VariantenAuswahlCounter}) {
 				$VariantenAuswahlliste[1] .= $ArtikelObject->{"variante" . $VariantenAuswahlCounter . "name"} . "/";
 			}

		} else {
		
 			if ($ArtikelObject->{"variante" . $VariantenAuswahlCounter}) {
 
				$VariantenAuswahlliste[$VariantenAuswahlCounter] = "<select name=\"variante" . $VariantenAuswahlCounter . "\" size=\"1\" class=\"formselect_gross\" style=\"width:120px;\">\n";
				
				$MerkmalauswahlDataArray = GetMerkmalauswahlDataArray($ArtikelObject->id, $BestellObject->language_id);

				foreach ($MerkmalauswahlDataArray[$VariantenAuswahlCounter] as $Merkmal) {
					
					if ((!$ArtikelObject->merkmalauswahl) || ($ArtikelObject->merkmalauswahl && $Merkmal["selected"])) {
						
						if ($Merkmal["id"] == ${"tpl_variante" . $VariantenAuswahlCounter}) {
							$VariantenAuswahlliste[$VariantenAuswahlCounter] .= "<option value=\"" . $Merkmal["id"] . "\" selected>" . $Merkmal["name"] . "</option>\n";
						} else {
							$VariantenAuswahlliste[$VariantenAuswahlCounter] .= "<option value=\"" . $Merkmal["id"] . "\">" . $Merkmal["name"] . "</option>\n";
						}
						
					}
							
				}
				
				$VariantenAuswahlliste[$VariantenAuswahlCounter] .= "</select>\n";

			}
			
		}
		
	}

	if ($ArtikelObject->merkmalkombinationparentid) {
		$VariantenAuswahlliste[1] = substr($VariantenAuswahlliste[1], 0, strlen($VariantenAuswahlliste[1]) - 1);
	}

    if ($tpl_show_beschreibung) {
        $tpl_show_beschreibung_checked_string = ' checked';
        $tpl_show_beschreibung_display_string = ' block';
    } else {
        $tpl_show_beschreibung_checked_string = '';
        $tpl_show_beschreibung_display_string = ' none';
    }
	
	// ********************************************************************************
	// ** Fehlermeldung aufbereiten
	// ********************************************************************************
	if ($FormError) {
	
		$FormErrorString = "<table cellspacing=\"0\" cellpadding=\"1\" border=\"0\" width=\"100%\">";
		$FormErrorString .= "<tr>";
		$FormErrorString .= "<td class=\"fehler\">";
		$FormErrorString .= $FormErrorMessage;
		$FormErrorString .= "</td>";		
		$FormErrorString .= "</tr>";
		
		if ($FormErrorButtonArray) {
			
			$FormErrorString .= "<tr>";
			$FormErrorString .= "<td class=\"fehler\">";

			foreach ($FormErrorButtonArray as $FormErrorButton) {
				
				$FormErrorButtonString .= "<a href=\"" . $FormErrorButton["link"] . "\">" . $FormErrorButton["text"] . "</a> | ";
				
			}
			
			$FormErrorButtonString = substr($FormErrorButtonString, 0, strlen($FormErrorButtonString) - 3);
			
			$FormErrorString .= $FormErrorButtonString;
			
			$FormErrorString .= "</td>";		
			$FormErrorString .= "</tr>";

		}
		
		$FormErrorString .= "</table>";
		
	}
	

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?=$a_admin;?></title>
	<link rel="stylesheet" type="text/css" href="../style/style.css">
	<script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta HTTP-EQUIV="Expires" CONTENT="0">

	<script language="javascript">
	
		function SubmitForm(Formname, Formaction, Confirmaction) {
			
			if (Formaction) {
				document.forms[Formname].formaction.value = Formaction;
			}
			
			if (Confirmaction) {
				document.forms[Formname].confirmaction.value = Confirmaction;
			}
			
			document.forms[Formname].submit();

		}
	
	</script>

</head>

<body class="mainBackground">

<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td class="mainBackground" colspan="10">&nbsp;<b><?=$a_bs_auftragsnummer?>: <?=$tpl_auftragsnummer?> / <?=$a_bs_artikelhinzufuegen?></b></td>
</tr>
</table>

<?=$FormErrorString?>


<form name="form_artikel_editieren" method="post" action="artikel_editieren.php">

<input type="hidden" name="artikelid" value="<?=$ArtikelID?>">
<input type="hidden" name="bestellid" value="<?=$BestellID?>">
<input type="hidden" name="preisformat" value="<?=$tpl_preisformat?>">
<input type="hidden" name="formaction" value="hinzufuegen">
<input type="hidden" name="confirmaction" value="0">
<input type="hidden" name="source" value="post">
<input type="hidden" name="searchfield" value="<?=$SearchField?>">
<input type="hidden" name="searchstring" value="<?=$SearchString?>">
<input type="hidden" name="sortfield" value="<?=$SortField?>">
<input type="hidden" name="sortorder" value="<?=$SortOrder?>">
<input type="hidden" name="dataoffset" value="<?=$DataOffset?>">
<input type="hidden" name="datacount" value="<?=$DataCount?>">

<table cellspacing="0" cellpadding="1" border="0" width="100%" bgcolor="#E5E5E5">

<tr>
	<td class="mainBackground" colspan="2"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
</tr>
<tr>
	<td class="artikelUnterteilung">&nbsp;<b><?=$a_ar_headline_grunddaten?></b></td>
</tr>
<tr>
	<td colspan="2">

		<table cellspacing="0" cellpadding="3" border="0" class="mainBackground" width="100%">
		<tr>
			<td width="1%"><img src="../images/trans.gif" width="150" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="5" height="1" border="0"></td>
			<td width="99%"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
		</tr>
		<tr>
			<td><nobr><?=$a_ar_artikelnummer?>:</nobr></td>
			<td>&nbsp;</td>
			<td><?=$tpl_artikelnummer?></td>
		</tr>
        <tr>
            <td><nobr><?=$a_ar_artikelname?>:</nobr></td>
            <td>&nbsp;</td>
            <td><input class="forminput_text" type="text" name="artikel_name" value="<?=$tpl_artikel_name?>" size="35"></td>
        </tr>
        <tr>
            <td valign="top"><nobr><?=$a_ar_beschreibung?>:</nobr></td>
            <td>&nbsp;</td>
            <td>
                <input type="checkbox" name="show_beschreibung" value="1" onclick="if (this.checked) { document.getElementById('beschreibung').style.display = 'block'; } else { document.getElementById('beschreibung').style.display = 'none';};" <?php echo $tpl_show_beschreibung_checked_string ?>>Artikelbeschreibung anzeigen<br>
                <div id="beschreibung" style="display: <?php echo $tpl_show_beschreibung_display_string ?>">
                <textarea cols="37" rows="20" name="beschreibung" style="width:500px; height:150px;"><?=stripslashes(strip_tags($tpl_beschreibung))?></textarea>              
                </div>
            </td>
        </tr>
		<? if ($VariantenAuswahlliste) { ?>
		<tr>
			<td><nobr><?=$a_ar_varianten?>:</nobr></td>
			<td>&nbsp;</td>
			<td><?=$VariantenAuswahlliste[1]?><?=$VariantenAuswahlliste[2]?><?=$VariantenAuswahlliste[3]?><?=$VariantenAuswahlliste[4]?></td>
		</tr>
		<? } ?>
		<tr>
			<td><nobr><?=$a_ar_preisnetto?>:</nobr></td>
			<td>&nbsp;</td>
			<td><?=$PreisNettoString?></td>
		</tr>
		<tr>
			<td><nobr><?=$a_ar_preisbrutto?>:</nobr></td>
			<td>&nbsp;</td>
			<td><?=$PreisBruttoString?></td>
		</tr>
		<tr>
			<td><nobr><?=$a_bs_menge?>:</nobr></td>
			<td>&nbsp;</td>
			<td><input class="forminput_text" type="text" name="menge" value="<?=$tpl_menge?>" size="35"></td>
		</tr>
		</table>
		
	</td>
</tr>
<tr>
	<td class="mainBackground" colspan="2"><img src="../images/trans.gif" width="1" height="10" border="0"></td>
</tr>
<tr>
	<td class="mainBackground" colspan="2"><input type="submit" name="absenden" value="<?=$s_speichern?>"></td>
</tr>
</table>


</form>

</body>
</html>
